Bug 12466 - неверно генерируемый список выпусков
: неверно генерируемый список выпусков
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alt-docs-genextras)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-04 12:11 by
Modified: 2008-06-17 02:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-04 12:11:08
alt-docs-genextras-0.3-alt4

исходное положение:

* чистая система (нет никаких docs-)
* apt-get install alt-docs-main
* появляется /usr/share/doc/alt-docs/index.html (правда с #12457)
* apt-get install docs-issue-server
* на /usr/share/doc/alt-docs/index.html появляется ссылка на документацию 
сервера
* apt-get remove docs-issue-server
* на /usr/share/doc/alt-docs/index.html по-прежнему есть ссылка (теперь уже 
битая) на документацию сервера

Как я понимаю, данная проблема связана с /usr/bin/alt-docs-genextras и 
проявляется при наличии/удалении единственного (ну или последнего) "выпуска" 
документации. Если выпусков несколько, то всё генерируется правильно.

Ожидаемое поведение:
при удалении последнего/единственного "выпуска" 
вернуть /usr/share/doc/alt-docs/index.html в исходное состояние (из пакета 
alt-docs-main)
------- Comment #1 From 2008-04-17 20:41:21 -------
fixed in alt-docs-genextras-0.3-alt5

Единственное обстоятельство, что при обновлении самого пакета 
alt-docs-genextras не вызывается, поэтому если на главной странице были
неудаленные битые ссылки на выпуски, то они так и останутся до того 
момента, когда будет установлен какой-нибудь другой выпуск или до
вызова alt-docs-genextras вручную.
------- Comment #2 From 2008-06-17 02:08:15 -------
похоже работает. закрываем.